Namespace
library
Image / Tag
consul:1.10
Content Digest
sha256:a1db177a76c22ade0887a4b1f673dd4a10b94947a9313df34e0dea1daaf809d7
Details
Created

2022-08-10 00:18:04 UTC

Size

40.2 MB

Content Digest
Labels
  • org.opencontainers.image.authors
    Consul Team <consul@hashicorp.com>
  • org.opencontainers.image.description
    Consul is a datacenter runtime that provides service discovery, configuration, and orchestration.
  • org.opencontainers.image.documentation
    https://www.consul.io/docs
  • org.opencontainers.image.source
    https://github.com/hashicorp/consul
  • org.opencontainers.image.title
    consul
  • org.opencontainers.image.url
    https://www.consul.io/
  • org.opencontainers.image.vendor
    HashiCorp
  • org.opencontainers.image.version
    1.10.12

Environment
HASHICORP_RELEASES

https://releases.hashicorp.com

PATH

/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin


Layers

[#000] sha256:f8c6eeaa55b0f135b7fddb3d7745a98ca4d8f06d2898611234b9ef99e1183073 - 6.72% (2.7 MB)

[#001] sha256:71af6a99d4755355fdfd5dd1d3825eed7bce1a1f872d5e0de612742fe44125be - 0.0% (1.21 KB)

[#002] sha256:798ac785b66f2bcfe1a2d30b9c336925223de91fba859dd1e82c3a08e7d01f1e - 93.28% (37.5 MB)

[#003] sha256:1851795401df6fefb21fd663b376717d4a170d9cae33dd12dc619a82edf8fc8e - 0.0% (143 Bytes)

[#004] sha256:5d929e4973c7952394334ec2d2acb2a70cb8ff23f7439ca6778f418f72f462ef - 0.0% (152 Bytes)

[#005] sha256:f1a9d1c5639f024210e7e6692a2309df4c7f2639350a41afbb3ed8cf3a0b2838 - 0.0% (1.75 KB)


History
2022-08-09 17:38:47 UTC

/bin/sh -c #(nop) ADD file:d51bb92de86c49ee5486066d12194be78c8b9a8452c44577e2dfeef1945a0138 in /

2022-08-09 17:38:47 UTC

/bin/sh -c #(nop) CMD ["/bin/sh"]

2022-08-10 00:17:45 UTC

/bin/sh -c #(nop) ARG CONSUL_VERSION=1.10.12

2022-08-10 00:17:46 UTC

/bin/sh -c #(nop) LABEL org.opencontainers.image.authors=Consul Team <consul@hashicorp.com> org.opencontainers.image.url=https://www.consul.io/ org.opencontainers.image.documentation=https://www.consul.io/docs org.opencontainers.image.source=https://github.com/hashicorp/consul org.opencontainers.image.version=1.10.12 org.opencontainers.image.vendor=HashiCorp org.opencontainers.image.title=consul org.opencontainers.image.description=Consul is a datacenter runtime that provides service discovery, configuration, and orchestration.

2022-08-10 00:17:47 UTC

/bin/sh -c #(nop) ENV HASHICORP_RELEASES=https://releases.hashicorp.com

2022-08-10 00:17:48 UTC

|1 CONSUL_VERSION=1.10.12 /bin/sh -c addgroup consul && adduser -S -G consul consul

2022-08-10 00:17:55 UTC

|1 CONSUL_VERSION=1.10.12 /bin/sh -c set -eux && apk add --no-cache ca-certificates curl dumb-init gnupg libcap openssl su-exec iputils jq libc6-compat iptables tzdata && gpg --keyserver keyserver.ubuntu.com --recv-keys C874011F0AB405110D02105534365D9472D7468F && mkdir -p /tmp/build && cd /tmp/build && apkArch="$(apk --print-arch)" && case "${apkArch}" in aarch64) consulArch='arm64' ;; armhf) consulArch='arm' ;; x86) consulArch='386' ;; x86_64) consulArch='amd64' ;; *) echo >&2 "error: unsupported architecture: ${apkArch} (see ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/)" && exit 1 ;; esac && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_linux_${consulArch}.zip && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_SHA256SUMS && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_SHA256SUMS.sig && gpg --batch --verify consul_${CONSUL_VERSION}_SHA256SUMS.sig consul_${CONSUL_VERSION}_SHA256SUMS && grep consul_${CONSUL_VERSION}_linux_${consulArch}.zip consul_${CONSUL_VERSION}_SHA256SUMS | sha256sum -c && unzip -d /tmp/build consul_${CONSUL_VERSION}_linux_${consulArch}.zip && cp /tmp/build/consul /bin/consul && if [ -f /tmp/build/EULA.txt ]; then mkdir -p /usr/share/doc/consul; mv /tmp/build/EULA.txt /usr/share/doc/consul/EULA.txt; fi && if [ -f /tmp/build/TermsOfEvaluation.txt ]; then mkdir -p /usr/share/doc/consul; mv /tmp/build/TermsOfEvaluation.txt /usr/share/doc/consul/TermsOfEvaluation.txt; fi && cd /tmp && rm -rf /tmp/build && gpgconf --kill all && apk del gnupg openssl && rm -rf /root/.gnupg && consul version

2022-08-10 00:17:56 UTC

|1 CONSUL_VERSION=1.10.12 /bin/sh -c mkdir -p /consul/data && mkdir -p /consul/config && chown -R consul:consul /consul

2022-08-10 00:17:57 UTC

|1 CONSUL_VERSION=1.10.12 /bin/sh -c test -e /etc/nsswitch.conf || echo 'hosts: files dns' > /etc/nsswitch.conf

2022-08-10 00:17:58 UTC

/bin/sh -c #(nop) VOLUME [/consul/data]

2022-08-10 00:17:59 UTC

/bin/sh -c #(nop) EXPOSE 8300

2022-08-10 00:18:00 UTC

/bin/sh -c #(nop) EXPOSE 8301 8301/udp 8302 8302/udp

2022-08-10 00:18:01 UTC

/bin/sh -c #(nop) EXPOSE 8500 8600 8600/udp

2022-08-10 00:18:03 UTC

/bin/sh -c #(nop) COPY file:54fea1810b618dd421534c8fbe34fd9d05aa23929d2290f19c325d1c23d960c3 in /usr/local/bin/docker-entrypoint.sh

2022-08-10 00:18:03 UTC

/bin/sh -c #(nop) ENTRYPOINT ["docker-entrypoint.sh"]

2022-08-10 00:18:04 UTC

/bin/sh -c #(nop) CMD ["agent" "-dev" "-client" "0.0.0.0"]

Details
Created

2022-08-09 18:19:39 UTC

Size

41.3 MB

Content Digest
Labels
  • org.opencontainers.image.authors
    Consul Team <consul@hashicorp.com>
  • org.opencontainers.image.description
    Consul is a datacenter runtime that provides service discovery, configuration, and orchestration.
  • org.opencontainers.image.documentation
    https://www.consul.io/docs
  • org.opencontainers.image.source
    https://github.com/hashicorp/consul
  • org.opencontainers.image.title
    consul
  • org.opencontainers.image.url
    https://www.consul.io/
  • org.opencontainers.image.vendor
    HashiCorp
  • org.opencontainers.image.version
    1.10.12

Environment
HASHICORP_RELEASES

https://releases.hashicorp.com

PATH

/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin


Layers

[#000] sha256:9621f1afde84053b2f9b6ff34fc7f7460712247c01cbab483c5fa7132cf782ca - 6.52% (2.69 MB)

[#001] sha256:44c13cffb816804861dffcfee12919174db628333099d80755d0066ee0eec762 - 0.0% (1.23 KB)

[#002] sha256:72e7c50e9e904cd6a573c06e09376c4c94af3651144919f0ea727b913587ba45 - 93.47% (38.6 MB)

[#003] sha256:80611a4113e9ca954b2107b2d8fc4bef86412ba9a15bd7ebdb14aa0f64690379 - 0.0% (175 Bytes)

[#004] sha256:428772c3c83d62ba87edc6b5ea757a5391bd4a4b5c0e761a145f29f34e1251d3 - 0.0% (153 Bytes)

[#005] sha256:bb889002819313210f284869ba667b13e2325ba0458b55cd944fe9e3cb9c1edb - 0.0% (1.74 KB)


History
2022-08-09 17:20:00 UTC

/bin/sh -c #(nop) ADD file:f77e3f51f020890d22997e6c2ca98968b75b8bc8c463341a2010ff0655d4c88f in /

2022-08-09 17:20:01 UTC

/bin/sh -c #(nop) CMD ["/bin/sh"]

2022-08-09 18:19:31 UTC

/bin/sh -c #(nop) ARG CONSUL_VERSION=1.10.12

2022-08-09 18:19:31 UTC

/bin/sh -c #(nop) LABEL org.opencontainers.image.authors=Consul Team <consul@hashicorp.com> org.opencontainers.image.url=https://www.consul.io/ org.opencontainers.image.documentation=https://www.consul.io/docs org.opencontainers.image.source=https://github.com/hashicorp/consul org.opencontainers.image.version=1.10.12 org.opencontainers.image.vendor=HashiCorp org.opencontainers.image.title=consul org.opencontainers.image.description=Consul is a datacenter runtime that provides service discovery, configuration, and orchestration.

2022-08-09 18:19:31 UTC

/bin/sh -c #(nop) ENV HASHICORP_RELEASES=https://releases.hashicorp.com

2022-08-09 18:19:31 UTC

|1 CONSUL_VERSION=1.10.12 /bin/sh -c addgroup consul && adduser -S -G consul consul

2022-08-09 18:19:37 UTC

|1 CONSUL_VERSION=1.10.12 /bin/sh -c set -eux && apk add --no-cache ca-certificates curl dumb-init gnupg libcap openssl su-exec iputils jq libc6-compat iptables tzdata && gpg --keyserver keyserver.ubuntu.com --recv-keys C874011F0AB405110D02105534365D9472D7468F && mkdir -p /tmp/build && cd /tmp/build && apkArch="$(apk --print-arch)" && case "${apkArch}" in aarch64) consulArch='arm64' ;; armhf) consulArch='arm' ;; x86) consulArch='386' ;; x86_64) consulArch='amd64' ;; *) echo >&2 "error: unsupported architecture: ${apkArch} (see ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/)" && exit 1 ;; esac && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_linux_${consulArch}.zip && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_SHA256SUMS && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_SHA256SUMS.sig && gpg --batch --verify consul_${CONSUL_VERSION}_SHA256SUMS.sig consul_${CONSUL_VERSION}_SHA256SUMS && grep consul_${CONSUL_VERSION}_linux_${consulArch}.zip consul_${CONSUL_VERSION}_SHA256SUMS | sha256sum -c && unzip -d /tmp/build consul_${CONSUL_VERSION}_linux_${consulArch}.zip && cp /tmp/build/consul /bin/consul && if [ -f /tmp/build/EULA.txt ]; then mkdir -p /usr/share/doc/consul; mv /tmp/build/EULA.txt /usr/share/doc/consul/EULA.txt; fi && if [ -f /tmp/build/TermsOfEvaluation.txt ]; then mkdir -p /usr/share/doc/consul; mv /tmp/build/TermsOfEvaluation.txt /usr/share/doc/consul/TermsOfEvaluation.txt; fi && cd /tmp && rm -rf /tmp/build && gpgconf --kill all && apk del gnupg openssl && rm -rf /root/.gnupg && consul version

2022-08-09 18:19:38 UTC

|1 CONSUL_VERSION=1.10.12 /bin/sh -c mkdir -p /consul/data && mkdir -p /consul/config && chown -R consul:consul /consul

2022-08-09 18:19:39 UTC

|1 CONSUL_VERSION=1.10.12 /bin/sh -c test -e /etc/nsswitch.conf || echo 'hosts: files dns' > /etc/nsswitch.conf

2022-08-09 18:19:39 UTC

/bin/sh -c #(nop) VOLUME [/consul/data]

2022-08-09 18:19:39 UTC

/bin/sh -c #(nop) EXPOSE 8300

2022-08-09 18:19:39 UTC

/bin/sh -c #(nop) EXPOSE 8301 8301/udp 8302 8302/udp

2022-08-09 18:19:39 UTC

/bin/sh -c #(nop) EXPOSE 8500 8600 8600/udp

2022-08-09 18:19:39 UTC

/bin/sh -c #(nop) COPY file:54fea1810b618dd421534c8fbe34fd9d05aa23929d2290f19c325d1c23d960c3 in /usr/local/bin/docker-entrypoint.sh

2022-08-09 18:19:39 UTC

/bin/sh -c #(nop) ENTRYPOINT ["docker-entrypoint.sh"]

2022-08-09 18:19:39 UTC

/bin/sh -c #(nop) CMD ["agent" "-dev" "-client" "0.0.0.0"]

Details
Created

2022-08-09 18:37:04 UTC

Size

39.2 MB

Content Digest
Labels
  • org.opencontainers.image.authors
    Consul Team <consul@hashicorp.com>
  • org.opencontainers.image.description
    Consul is a datacenter runtime that provides service discovery, configuration, and orchestration.
  • org.opencontainers.image.documentation
    https://www.consul.io/docs
  • org.opencontainers.image.source
    https://github.com/hashicorp/consul
  • org.opencontainers.image.title
    consul
  • org.opencontainers.image.url
    https://www.consul.io/
  • org.opencontainers.image.vendor
    HashiCorp
  • org.opencontainers.image.version
    1.10.12

Environment
HASHICORP_RELEASES

https://releases.hashicorp.com

PATH

/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin


Layers

[#000] sha256:293b708aa6fb80967f27727d5c9c53ac9ba9cac376bed2ad02c17a5cca317b35 - 6.41% (2.51 MB)

[#001] sha256:238794f8a490b1f434e4cf66cfd4c1dcc9f46fd1914f327442717db5a60e82ca - 0.0% (1.24 KB)

[#002] sha256:d355a4a37095acc9b2068bb21786062695a20cbe31b8a8a3cc7b850d08e0aa67 - 93.58% (36.7 MB)

[#003] sha256:9e01e1e6f5dc41d6e87fce3bb668dae214ed1766d855a76d8eea54b3dad3e59a - 0.0% (174 Bytes)

[#004] sha256:95843da6876780296bd6c709b53af017de9bf91eaf9102b02136d77c142a3ab0 - 0.0% (154 Bytes)

[#005] sha256:d0baf0ea11ae865eb34d5e607f8e6633485c5e08d1cb852cd64068f70018a2c8 - 0.0% (1.74 KB)


History
2022-08-09 17:49:29 UTC

/bin/sh -c #(nop) ADD file:89cb25f97e17bed5c56311280efe5cfa78422d8ffbe36232195d13f94d67417e in /

2022-08-09 17:49:29 UTC

/bin/sh -c #(nop) CMD ["/bin/sh"]

2022-08-09 18:36:54 UTC

/bin/sh -c #(nop) ARG CONSUL_VERSION=1.10.12

2022-08-09 18:36:54 UTC

/bin/sh -c #(nop) LABEL org.opencontainers.image.authors=Consul Team <consul@hashicorp.com> org.opencontainers.image.url=https://www.consul.io/ org.opencontainers.image.documentation=https://www.consul.io/docs org.opencontainers.image.source=https://github.com/hashicorp/consul org.opencontainers.image.version=1.10.12 org.opencontainers.image.vendor=HashiCorp org.opencontainers.image.title=consul org.opencontainers.image.description=Consul is a datacenter runtime that provides service discovery, configuration, and orchestration.

2022-08-09 18:36:55 UTC

/bin/sh -c #(nop) ENV HASHICORP_RELEASES=https://releases.hashicorp.com

2022-08-09 18:36:55 UTC

|1 CONSUL_VERSION=1.10.12 /bin/sh -c addgroup consul && adduser -S -G consul consul

2022-08-09 18:37:02 UTC

|1 CONSUL_VERSION=1.10.12 /bin/sh -c set -eux && apk add --no-cache ca-certificates curl dumb-init gnupg libcap openssl su-exec iputils jq libc6-compat iptables tzdata && gpg --keyserver keyserver.ubuntu.com --recv-keys C874011F0AB405110D02105534365D9472D7468F && mkdir -p /tmp/build && cd /tmp/build && apkArch="$(apk --print-arch)" && case "${apkArch}" in aarch64) consulArch='arm64' ;; armhf) consulArch='arm' ;; x86) consulArch='386' ;; x86_64) consulArch='amd64' ;; *) echo >&2 "error: unsupported architecture: ${apkArch} (see ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/)" && exit 1 ;; esac && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_linux_${consulArch}.zip && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_SHA256SUMS && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_SHA256SUMS.sig && gpg --batch --verify consul_${CONSUL_VERSION}_SHA256SUMS.sig consul_${CONSUL_VERSION}_SHA256SUMS && grep consul_${CONSUL_VERSION}_linux_${consulArch}.zip consul_${CONSUL_VERSION}_SHA256SUMS | sha256sum -c && unzip -d /tmp/build consul_${CONSUL_VERSION}_linux_${consulArch}.zip && cp /tmp/build/consul /bin/consul && if [ -f /tmp/build/EULA.txt ]; then mkdir -p /usr/share/doc/consul; mv /tmp/build/EULA.txt /usr/share/doc/consul/EULA.txt; fi && if [ -f /tmp/build/TermsOfEvaluation.txt ]; then mkdir -p /usr/share/doc/consul; mv /tmp/build/TermsOfEvaluation.txt /usr/share/doc/consul/TermsOfEvaluation.txt; fi && cd /tmp && rm -rf /tmp/build && gpgconf --kill all && apk del gnupg openssl && rm -rf /root/.gnupg && consul version

2022-08-09 18:37:02 UTC

|1 CONSUL_VERSION=1.10.12 /bin/sh -c mkdir -p /consul/data && mkdir -p /consul/config && chown -R consul:consul /consul

2022-08-09 18:37:03 UTC

|1 CONSUL_VERSION=1.10.12 /bin/sh -c test -e /etc/nsswitch.conf || echo 'hosts: files dns' > /etc/nsswitch.conf

2022-08-09 18:37:03 UTC

/bin/sh -c #(nop) VOLUME [/consul/data]

2022-08-09 18:37:03 UTC

/bin/sh -c #(nop) EXPOSE 8300

2022-08-09 18:37:03 UTC

/bin/sh -c #(nop) EXPOSE 8301 8301/udp 8302 8302/udp

2022-08-09 18:37:03 UTC

/bin/sh -c #(nop) EXPOSE 8500 8600 8600/udp

2022-08-09 18:37:03 UTC

/bin/sh -c #(nop) COPY file:54fea1810b618dd421534c8fbe34fd9d05aa23929d2290f19c325d1c23d960c3 in /usr/local/bin/docker-entrypoint.sh

2022-08-09 18:37:04 UTC

/bin/sh -c #(nop) ENTRYPOINT ["docker-entrypoint.sh"]

2022-08-09 18:37:04 UTC

/bin/sh -c #(nop) CMD ["agent" "-dev" "-client" "0.0.0.0"]

Details
Created

2022-08-09 18:23:26 UTC

Size

39 MB

Content Digest
Labels
  • org.opencontainers.image.authors
    Consul Team <consul@hashicorp.com>
  • org.opencontainers.image.description
    Consul is a datacenter runtime that provides service discovery, configuration, and orchestration.
  • org.opencontainers.image.documentation
    https://www.consul.io/docs
  • org.opencontainers.image.source
    https://github.com/hashicorp/consul
  • org.opencontainers.image.title
    consul
  • org.opencontainers.image.url
    https://www.consul.io/
  • org.opencontainers.image.vendor
    HashiCorp
  • org.opencontainers.image.version
    1.10.12

Environment
HASHICORP_RELEASES

https://releases.hashicorp.com

PATH

/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin


Layers

[#000] sha256:47517142f6ba87eca6b7bdca1e0df160b74671c81e4b9605dad38c1862a43be3 - 6.64% (2.59 MB)

[#001] sha256:d269fe0f3388e424e4cb8f5cd34eb0ce66afaf950ae7e3f56f4f040dc961db1c - 0.0% (1.21 KB)

[#002] sha256:868e5cb30c85ebc937f8d1bd416b8c8bb650e2c3e90a012bfbacc6b1a301fece - 93.35% (36.4 MB)

[#003] sha256:47a7ffc77b0b65f44894e1810c4345fffa14f465590a34f57ad4f09c758ad678 - 0.0% (142 Bytes)

[#004] sha256:74923c9742f92ad151d5b3b191fb63af1834540f8832d03723c106bb0d117816 - 0.0% (154 Bytes)

[#005] sha256:97773bd646743f4e3256fcdd948b6ebd0ff0095bb00d34e9ce803587e2181c3a - 0.0% (1.75 KB)


History
2022-08-09 17:39:51 UTC

/bin/sh -c #(nop) ADD file:4b51a9d40f20d2beb29d0759b161d2b9403493453beb509de4e86a5d98513f16 in /

2022-08-09 17:39:51 UTC

/bin/sh -c #(nop) CMD ["/bin/sh"]

2022-08-09 18:23:08 UTC

/bin/sh -c #(nop) ARG CONSUL_VERSION=1.10.12

2022-08-09 18:23:09 UTC

/bin/sh -c #(nop) LABEL org.opencontainers.image.authors=Consul Team <consul@hashicorp.com> org.opencontainers.image.url=https://www.consul.io/ org.opencontainers.image.documentation=https://www.consul.io/docs org.opencontainers.image.source=https://github.com/hashicorp/consul org.opencontainers.image.version=1.10.12 org.opencontainers.image.vendor=HashiCorp org.opencontainers.image.title=consul org.opencontainers.image.description=Consul is a datacenter runtime that provides service discovery, configuration, and orchestration.

2022-08-09 18:23:10 UTC

/bin/sh -c #(nop) ENV HASHICORP_RELEASES=https://releases.hashicorp.com

2022-08-09 18:23:11 UTC

|1 CONSUL_VERSION=1.10.12 /bin/sh -c addgroup consul && adduser -S -G consul consul

2022-08-09 18:23:17 UTC

|1 CONSUL_VERSION=1.10.12 /bin/sh -c set -eux && apk add --no-cache ca-certificates curl dumb-init gnupg libcap openssl su-exec iputils jq libc6-compat iptables tzdata && gpg --keyserver keyserver.ubuntu.com --recv-keys C874011F0AB405110D02105534365D9472D7468F && mkdir -p /tmp/build && cd /tmp/build && apkArch="$(apk --print-arch)" && case "${apkArch}" in aarch64) consulArch='arm64' ;; armhf) consulArch='arm' ;; x86) consulArch='386' ;; x86_64) consulArch='amd64' ;; *) echo >&2 "error: unsupported architecture: ${apkArch} (see ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/)" && exit 1 ;; esac && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_linux_${consulArch}.zip && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_SHA256SUMS && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_SHA256SUMS.sig && gpg --batch --verify consul_${CONSUL_VERSION}_SHA256SUMS.sig consul_${CONSUL_VERSION}_SHA256SUMS && grep consul_${CONSUL_VERSION}_linux_${consulArch}.zip consul_${CONSUL_VERSION}_SHA256SUMS | sha256sum -c && unzip -d /tmp/build consul_${CONSUL_VERSION}_linux_${consulArch}.zip && cp /tmp/build/consul /bin/consul && if [ -f /tmp/build/EULA.txt ]; then mkdir -p /usr/share/doc/consul; mv /tmp/build/EULA.txt /usr/share/doc/consul/EULA.txt; fi && if [ -f /tmp/build/TermsOfEvaluation.txt ]; then mkdir -p /usr/share/doc/consul; mv /tmp/build/TermsOfEvaluation.txt /usr/share/doc/consul/TermsOfEvaluation.txt; fi && cd /tmp && rm -rf /tmp/build && gpgconf --kill all && apk del gnupg openssl && rm -rf /root/.gnupg && consul version

2022-08-09 18:23:18 UTC

|1 CONSUL_VERSION=1.10.12 /bin/sh -c mkdir -p /consul/data && mkdir -p /consul/config && chown -R consul:consul /consul

2022-08-09 18:23:19 UTC

|1 CONSUL_VERSION=1.10.12 /bin/sh -c test -e /etc/nsswitch.conf || echo 'hosts: files dns' > /etc/nsswitch.conf

2022-08-09 18:23:20 UTC

/bin/sh -c #(nop) VOLUME [/consul/data]

2022-08-09 18:23:21 UTC

/bin/sh -c #(nop) EXPOSE 8300

2022-08-09 18:23:22 UTC

/bin/sh -c #(nop) EXPOSE 8301 8301/udp 8302 8302/udp

2022-08-09 18:23:23 UTC

/bin/sh -c #(nop) EXPOSE 8500 8600 8600/udp

2022-08-09 18:23:25 UTC

/bin/sh -c #(nop) COPY file:54fea1810b618dd421534c8fbe34fd9d05aa23929d2290f19c325d1c23d960c3 in /usr/local/bin/docker-entrypoint.sh

2022-08-09 18:23:25 UTC

/bin/sh -c #(nop) ENTRYPOINT ["docker-entrypoint.sh"]

2022-08-09 18:23:26 UTC

/bin/sh -c #(nop) CMD ["agent" "-dev" "-client" "0.0.0.0"]